
Smart Proxy - Bug #10940

Unable to use customrun puppet provider

06/26/2015 08:17 AM - Vladimir Stackov

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/307

  

Description

Description of problem:

Impossible to use customrun puppet provider

Version-Release number of selected component (if applicable):

foreman-proxy-1.8.2-2.el7.noarch

How reproducible:

100%

Steps to Reproduce:

1. # cat /etc/foreman-proxy/settings.d/puppet.yml | grep customrun

:puppet_provider: customrun

:customrun_cmd: /usr/local/bin/mco

:customrun_args: -a

2. Restart foreman proxy

3. Press "Run puppet"

Actual results:

/var/log/foreman-proxy/proxy.log:

E, [2015-06-26T15:02:58.471796 #4759] ERROR -- : Exception 'no implicit conversion of Array into String' when executing

'["/usr/local/bin/mco", "-a", ["host.domain.tld"]]'

E, [2015-06-26T15:02:58.474202 #4759] ERROR -- : Failed puppet run: Check Log files

IP - - [26/Jun/2015 15:02:58] "POST /puppet/run HTTP/1.1" 500 34 0.0062

Expected results:

Execute /usr/local/bin/mco -a host.domain.tld

Related issues:

Has duplicate Foreman - Bug #11557: Foreman 1.8.3 Exception when using Puppet... Duplicate 08/25/2015

Associated revisions

Revision b446e0ce - 08/25/2015 03:03 AM - Dmitri Dolguikh 

Fixes #10940: puppetrun works properly now on ruby > 1.8.7

History

#1 - 06/26/2015 08:25 AM - Dominic Cleal

- Category set to Puppet

- Project changed from Foreman to Smart Proxy

#2 - 08/06/2015 07:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/307 added

- Pull request deleted ()

#3 - 08/25/2015 03:04 AM - Dominic Cleal

- translation missing: en.field_release set to 72

- Assignee set to Anonymous

#4 - 08/25/2015 04:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b446e0cee93bc1c501447904b982ef4c5ae4b19e.

#5 - 08/26/2015 03:14 AM - Dominic Cleal

- Has duplicate Bug #11557: Foreman 1.8.3 Exception when using Puppetrun provider customrun  added
